App APIRecommendationCopy PageUpdates a product recommendationput https://example.com/recommendation/productBody Paramsapplication/jsontext/jsonapplication/*+jsonSubmit model for creating or updating a product recommendation.RecommendationIdint64 | nullProduct recommendation identifier. Required for update, ignored for create.NamestringName of the product recommendation.SourceCategoryIdint64 | nullSource category identifier. Optional.ResultCategoryIdint64 | nullResult category identifier. Optional.AmountOfResultsint32Number of products to return.BuilderIdint32 | nullBuilder (Personal Merchandising) identifier. Optional.RecommendationRefinedSelectionenumType of refined selection (None, Category, or Attribute).NoneCategoryAttributeAllowed:NoneCategoryAttributeRefinedSelectionAttributeIdint32 | nullAttribute identifier for refined selection when RefinedSelection is Attribute.GroupKeysarray of stringsList of group keys. Non-nullable.GroupKeysADD stringPriorityint32 | nullPriority. Optional.SourceFiltersarray of objectsList of source filters (SourceFilters) for this recommendation.SourceFiltersADD objectFiltersarray of objectsList of result filters (Filters) for this recommendation.FiltersADD objectSortingIdint64Sort option identifier. Required.IncludeExcludeParametersarray of int64sList of dynamic parameter attribute identifiers (IncludeExcludeParameters).IncludeExcludeParametersADD int64HeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/jsonAllowed:application/jsontext/jsoncontent-typestringenumDefaults to application/jsonGenerated from available request content typesapplication/*+jsonapplication/jsontext/jsonAllowed:application/*+jsonapplication/jsontext/jsonResponses 200OK 400Bad RequestUpdated about 1 hour ago Creates a product recommendationReturns a product recommendationDid this page help you?YesNo